﻿@model ShopLeftSidebarVM
@{
    ViewData["Title"] = "Index";
    int count = 1;
}
<!--====== Breadcrumb Part Start ======-->

<div class="breadcrumb-area">
    <div class="container-fluid custom-container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a asp-controller="Home" asp-action="Index">Home</a></li>
                <li class="breadcrumb-item active">Shop</li>
            </ol>
        </nav>
    </div> <!-- container -->
</div>

<!--====== Breadcrumb Part Ends ======-->
<!--====== Shop Left sidebar Part Start ======-->

<section class="shop-area pt-20">
    <div class="container-fluid custom-container">
        <div class="row flex-md-row-reverse justify-content-end">
            <div class="col-lg-9">
                <div class="banner-image banner-2 mt-30">
                    <img src="~/assets/images/banner-13.jpg" alt="banner">
                </div> <!-- banner image -->

                <div class="shop-header">
                    <div class="row align-items-center">
                        <div class="col-sm-6">
                            <div class="shop-header-left d-flex flex-wrap align-items-center">
                                <div class="shop-header-icon">
                                    <ul class="nav" id="myTab" role="tablist">
                                        <li class="nav-item" role="presentation">
                                            <a class="active" id="grid-tab" data-toggle="tab" href="#grid" role="tab" aria-controls="grid" aria-selected="true"><i class="icon ion-grid show_grid"></i></a>
                                        </li>
                                        <li class="nav-item" role="presentation">
                                            <a id="list-tab" data-toggle="tab" href="#list" role="tab" aria-controls="list" aria-selected="false"><i class="icon ion-android-menu show_list"></i></a>
                                        </li>
                                    </ul>
                                </div>
                                <div class="shop-header-message">
                                    <p>Showing 1 to 9 of 15 (2 Pages)</p>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="shop-header-right d-flex flex-wrap align-items-center justify-content-sm-end">
                                <div class="shop-header-select d-flex flex-wrap">
                                    <span class="select-title">Show:</span>
                                    <select>
                                        <option value="1">10</option>
                                        <option value="2">20</option>
                                        <option value="3">30</option>
                                        <option value="4">40</option>
                                    </select>
                                </div>
                                <div class="shop-header-select">
                                    <span class="select-title">Sort By:</span>
                                    <select>
                                        <option value="1">Default</option>
                                        <option value="2">Name (A-Z)</option>
                                        <option value="3">Price (min - max)</option>
                                        <option value="4">Color</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div> <!-- row -->
                </div> <!-- shop header -->
                <div class="tab-content" id="myTabContent">
                    <div class="tab-pane fade show active" id="grid" role="tabpanel" aria-labelledby="grid-tab">
                        <div class="row">
                            @if (Model.Category.ProductCategories.Count > 0)
                            {

                                @foreach (ProductCategory product in Model.Category.ProductCategories)
                                {
                                    var secondImage = "";
                                    var firstImage = product.Product.ProductImages.ElementAt<ProductImages>(0).Images;
                                    if (product.Product.ProductImages.Count > 1)
                                    {
                                        secondImage = product.Product.ProductImages.ElementAt<ProductImages>(1).Images;

                                    }
                                    <div class="product-col col-md-4 col-sm-6">
                                        <div class="single-product mt-30">
                                            <div class="product-image">
                                                <a asp-controller="Product" asp-action="Index" asp-route-id="@product.Product.Id">
                                                    <img class="first-image" src="~/assets/images/product/@firstImage" alt="product">
                                                    if (product.Product.ProductImages.Count > 1)
                                                    {
                                                    <img class="second-image" src="~/assets/images/product/@secondImage" alt="product">
                                               }
                                                </a>
                                                <ul class="product-meta">
                                                    <li><a asp-controller="Product" asp-action="Index" asp-route-id="@product.Product.Id"><i class="icon ion-bag"></i></a></li>
                                                    <li><a asp-controller="Product" asp-action="Index" asp-route-id="@product.Product.Id"><i class="icon ion-android-favorite-outline"></i></a></li>
                                                    <li><a asp-controller="Product" asp-action="Index" asp-route-id="@product.Product.Id"><i class="icon ion-android-options"></i></a></li>
                                                    <li><a data-toggle="modal" data-target="#productQuickModal" href="#"><i class="icon ion-android-open"></i></a></li>
                                                </ul>
                                                @if (product.Product.Interest > 0)
                                                {
                                                    <span class="discount-product">-@product.Product.Interest%</span>
                                                }

                                            </div>
                                            <div class="product-content">
                                                <ul class="product-rating">
                                                    <li class="rating-on"><i class="fas fa-star"></i></li>
                                                    <li class="rating-on"><i class="fas fa-star"></i></li>
                                                    <li class="rating-on"><i class="fas fa-star"></i></li>
                                                    <li class="rating-on"><i class="fas fa-star"></i></li>
                                                    <li class="rating-on"><i class="fas fa-star"></i></li>
                                                </ul>
                                                <h4 class="product-title"><a asp-controller="Product" asp-action="Index" asp-route-id="@product.Product.Id">@product.Product.Name...</a></h4>
                                                <div class="product-price">
                                                    @if (product.Product.Interest > 0)
                                                    {
                                                        <span class="regular-price ">€@product.Product.Price</span>
                                                        <span class="price-sale">€@product.Product.newPrice</span>
                                                    }
                                                    else
                                                    {
                                                        <span class="price-sale">€@product.Product.Price</span>
                                                    }

                                                </div>
                                            </div>
                                        </div> <!-- single product -->


                                    </div>


                                }
                            }
                            else
                            {
                                <p>Hele Gencdir!!!!</p>
                            }


                        </div> <!-- row -->
                    </div>
                    <div class="tab-pane fade" id="list" role="tabpanel" aria-labelledby="list-tab">
                        @if (Model.Category.ProductCategories.Count > 0)
                        {

                            @foreach (ProductCategory product in Model.Category.ProductCategories)
                            {
                                var secondImage = "";
                                var firstImage = product.Product.ProductImages.ElementAt<ProductImages>(0).Images;
                                if (product.Product.ProductImages.Count > 1)
                                {
                                    secondImage = product.Product.ProductImages.ElementAt<ProductImages>(1).Images;

                                }
                                <div class="single-product-list mt-30">
                                    <div class="row">
                                        <div class="col-sm-5 col-xl-3">
                                            <div class="product-image">
                                                <a asp-controller="Product" asp-action="Index" asp-route-id="@product.Id">
                                                    <img class="first-image" src="~/assets/images/product/@firstImage" alt="product">
                                <img class="second-image" src="~/assets/images/product/@secondImage" alt="product">
                                                </a>
                                            </div>
                                        </div>
                                        <div class="col-sm-7 col-xl-9">
                                            <div class="product-content">
                                                <ul class="product-rating">
                                                    <li class="rating-on"><i class="fas fa-star"></i></li>
                                                    <li class="rating-on"><i class="fas fa-star"></i></li>
                                                    <li class="rating-on"><i class="fas fa-star"></i></li>
                                                    <li class="rating-on"><i class="fas fa-star"></i></li>
                                                    <li class="rating-on"><i class="fas fa-star"></i></li>
                                                </ul>


                                                <h4 class="product-title"><a asp-controller="Product" asp-action="Index" asp-route-id="@product.Product.Id">@product.Product.Name</a></h4>
                                                <span class="availability">Availability: 299 In Stock</span>
                                                <div class="product-price">
                                                    if (product.Interest > 0)
                                                    {
                                                    <span class="regular-price ">€@product.Product.Price</span>
                                                    <span class="price-sale">€@product.Product.newPrice</span>
                                                    }
                                                    else
                                                    {
                                                    <span class="price-sale">€@product.Product.Price</span>
                                                    }

                                                </div>
                                                <p>product.Description </p>
                                                <ul class="product-meta">
                                                    <li><a asp-controller="Product" asp-action="Index" asp-route-id="product.Id"><i class="icon ion-bag"></i></a></li>
                                                    <li><a asp-controller="Product" asp-action="Index" asp-route-id="product.Id"><i class="icon ion-android-favorite-outline"></i></a></li>
                                                    <li><a asp-controller="Product" asp-action="Index" asp-route-id="product.Id"><i class="icon ion-android-options"></i></a></li>
                                                    <li><a data-toggle="modal" data-target="#productQuickModal" asp-controller="Product" asp-action="Index" asp-route-id="@product.Product.Id"><i class="icon ion-android-open"></i></a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div> <!-- single product List -->



                            }
                        }
                    </div>
                </div> <!-- Tab Content -->


                <ul class="pagination justify-content-center mt-30">
                    <li><a href="#"><i class="fal fa-chevron-left"></i></a></li>
                    <li class="active"><a href="#">1</a></li>
                    <li><a href="#">2</a></li>
                    <li><a href="#">3</a></li>
                    <li><a href="#"><i class="fal fa-chevron-right"></i></a></li>
                </ul>
            </div>

            <div class="col-lg-3">
                <div class="shop-sidebar">
                    <div class="shop-sidebar-widget mt-30">
                        <h5 class="shop-sidebar-title">@Model.Category.Name</h5>
                        <div class="accordion" id="accordionExample">
                            @foreach (Category category in Model.Categories)
                            {
                                <div class="card">
                                    <div class="card-header" id="@("heading"+count)">
                                        <a asp-route-id="@category.Id" class="collapsed" data-toggle="collapse" data-target="@("#collapse"+count)" aria-expanded="false" aria-controls="@("#collapse"+count)">@category.Name</a>
                                    </div>
                                    <div id="@("#collapse"+count)" class="collapse" aria-labelledby="@("heading"+count)" data-parent="#accordionExample">

                                        @if (category.Children.Count > 0)
                                        {
                                            <div class="card-body">
                                                <ul class="category-list">
                                                    @foreach (Category child in Model.Categories.Where(c => c.IsDeleted == false))
                                                    {
                                                        <li><a asp-action="Index" asp-route-id="@child.Id">@child.Name</a></li>
                                                    }
                                                </ul>
                                            </div>

                                        }



                                    </div>
                                </div> <!-- card -->
                                count++;
                            }



                        </div> <!-- accordion -->
                    </div> <!-- Shop sidebar Category -->
                    <form class="forms-sample" method="post">
                        <div class="shop-sidebar-widget mt-30">
                            <h5 class="shop-sidebar-title">Color</h5>
                            <ul class="color-list">
                                <li><a href="#"><span class="color-gray"></span>Gray(1)</a></li>
                                <li><a href="#"><span class="color-white"></span>White(5)</a></li>
                                <li><a href="#"><span class="color-block"></span>Black(5)</a></li>
                                <li><a href="#"><span class="color-Camel"></span>Camel(1)</a></li>
                                <li><a href="#"><span class="color-orange"></span>Orange(1)</a></li>
                            </ul>
                        </div> <!-- Shop sidebar color -->

                        <div class="shop-sidebar-widget mt-30">
                            <h5 class="shop-sidebar-title">Compositions</h5>
                            <ul class="compositions-list">
                                <li>
                                    <span class="custom-checkbox">
                                        <input type="checkbox" id="compositions1">
                                        <label for="compositions1"></label>
                                        <a href="#">Cotton(3)</a>
                                    </span>
                                </li>
                                <li>
                                    <span class="custom-checkbox">
                                        <input type="checkbox" id="compositions2">
                                        <label for="compositions2"></label>
                                        <a href="#">Elastane(3)</a>
                                    </span>
                                </li>
                                <li>
                                    <span class="custom-checkbox">
                                        <input type="checkbox" id="compositions3">
                                        <label for="compositions3"></label>
                                        <a href="#">Polyester(3)</a>
                                    </span>
                                </li>
                                <li>
                                    <span class="custom-checkbox">
                                        <input type="checkbox" id="compositions4">
                                        <label for="compositions4"></label>
                                        <a href="#">Wool(3)</a>
                                    </span>
                                </li>
                            </ul>
                        </div> <!-- Shop sidebar color -->

                        <div class="shop-sidebar-widget mt-30">
                            <h5 class="shop-sidebar-title">Price </h5>
                            <div class="price-range">
                                <input type="text" id="amount" name="amount">

                                <div id="slider-range"></div>
                            </div>
                        </div> <!-- Shop sidebar color -->

                        <div class="shop-sidebar-widget mt-30">
                            <h5 class="shop-sidebar-title">Size </h5>
                            <ul class="size-list">
                                <li>
                                    <span class="custom-checkbox">
                                        <input type="checkbox" id="size1">
                                        <label for="size1"></label>
                                        <a href="#">S(3)</a>
                                    </span>
                                </li>
                                <li>
                                    <span class="custom-checkbox">
                                        <input type="checkbox" id="size2">
                                        <label for="size2"></label>
                                        <a href="#">M(3)</a>
                                    </span>
                                </li>
                                <li>
                                    <span class="custom-checkbox">
                                        <input type="checkbox" id="size3">
                                        <label for="size3"></label>
                                        <a href="#">L(3)</a>
                                    </span>
                                </li>
                                <li>
                                    <span class="custom-checkbox">
                                        <input type="checkbox" id="size4">
                                        <label for="size4"></label>
                                        <a href="#">XL(3)</a>
                                    </span>
                                </li>
                            </ul>
                        </div> <!-- Shop sidebar Size -->
                        <button type="submit" class="btn btn-success mr-2">Change</button>
                    </form>
                    <div class="banner-image banner-2 mt-30">
                        <a href="#"><img src="~/assets/images/banner-10.jpg" alt="banner"></a>
                    </div> <!-- banner image -->
                </div> <!-- Shop sidebar -->
            </div>
        </div> <!-- row -->
    </div> <!-- container -->
</section>

<!--====== Shop Left sidebar Part Ends ======-->
<!--====== Newsletter Part Start ======-->

<section class="newsletter-area pt-100 pb-100 bg_cover" style="background-image: url(assets/images/bg-newletter.jpg)">
    <div class="container">
        <div class="row justify-content-end">
            <div class="col-lg-8">
                <div class="newsletter-content">
                    <h2 class="newsletter-title">Subscribe our newsletter</h2>
                    <p>allup is a powerful eCommerce HTML Template</p>

                    <div class="newsletter-forn">
                        <form action="#">
                            <input type="text" placeholder="Your Email address">
                            <button class="main-btn">Subscribe</button>
                        </form>
                    </div>
                </div> <!-- newsletter content -->
            </div>
        </div> <!-- row -->
    </div> <!-- container -->
</section>

<!--====== Newsletter Part Ends ======-->
@*@section Scripts{
    <script>
        $(document).on("change", "#amount", function () {
            let id = $(this).val().money;
            $.ajax({
                url: "ShopLeftSidebar/ProductMoney?amount=" + money,
                type: "Get",
                success: function(res){
                    $("#childCategoryId").children().remove();
                    $("#childCategoryId").append(res);
            }
            })
        })
    </script>
}*@
